package com.ssj.service.kmt.kmt.service.impl;

import com.ssj.bean.kmt.kmt.domain.KmtImgFace;
import com.ssj.dao.kmt.kmt.dao.KmtImgFaceDao;
import com.ssj.framework.core.common.service.BaseServiceImpl;
import com.ssj.service.kmt.service.KmtImgFaceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


@Transactional
@Service
public class KmtImgFaceServiceImpl extends BaseServiceImpl<KmtImgFace, String> implements KmtImgFaceService {
	
	@Autowired
	private KmtImgFaceDao dao;

	@Override
	public PagingAndSortingRepository<KmtImgFace, String> getDao() {
		return dao;
	}

	@Override
	public List<KmtImgFace> findImgFaceByTId(String teacherId, Integer pageNo,
			Integer pageSize) {
		return dao.findImgFaceByTId(teacherId, pageNo, pageSize);
	}

	@Override
	public KmtImgFace findImgFaceByTAndSId(String teacherId, String vipId) {
		return dao.findImgFaceByTAndSId(teacherId, vipId);
	}

	@Override
	public KmtImgFace findImgFaceByCourseId(String courseId) {
		return dao.findByCourseId(courseId);
	}
}
